org.appng.openapi.model

## Class Link

- java.lang.Object
- - org.appng.openapi.model.Link

- Direct Known Subclasses:
    ActionLink

      @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class Link
      extends Object

  A link.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Link.TypeEnum` * page - Links to a page.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_CONFIRMATION`
    `static String` | `JSON_PROPERTY_DEFAULT`
    `static String` | `JSON_PROPERTY_ICON`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_LABEL`
    `static String` | `JSON_PROPERTY_TARGET`
    `static String` | `JSON_PROPERTY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Link` | `_default(Boolean _default)`
    `Link` | `confirmation(String confirmation)`
    `boolean` | `equals(Object o)`
    `String` | `getConfirmation()` A confirmation message that should be displayed to the user before following this link.
    `Boolean` | `getDefault()` Whether or not this link should be considered as default.
    `String` | `getIcon()` A descriptive name for an icon that should be used for this link.
    `String` | `getId()` The ID for this link.
    `String` | `getLabel()` The label for the link.
    `String` | `getTarget()` The target for the link.
    `Link.TypeEnum` | `getType()` * page - Links to a page.
    `int` | `hashCode()`
    `Link` | `icon(String icon)`
    `Link` | `id(String id)`
    `Link` | `label(String label)`
    `void` | `setConfirmation(String confirmation)`
    `void` | `setDefault(Boolean _default)`
    `void` | `setIcon(String icon)`
    `void` | `setId(String id)`
    `void` | `setLabel(String label)`
    `void` | `setTarget(String target)`
    `void` | `setType(Link.TypeEnum type)`
    `Link` | `target(String target)`
    `String` | `toString()`
    `Link` | `type(Link.TypeEnum type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_TYPE

          public static final String JSON_PROPERTY_TYPE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_LABEL

          public static final String JSON_PROPERTY_LABEL

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_TARGET

          public static final String JSON_PROPERTY_TARGET

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_ICON

          public static final String JSON_PROPERTY_ICON

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_DEFAULT

          public static final String JSON_PROPERTY_DEFAULT

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_CONFIRMATION

          public static final String JSON_PROPERTY_CONFIRMATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Link

          public Link()

  - ### Method Detail

    - #### type

          public Link type(Link.TypeEnum type)

    - #### getType

          public Link.TypeEnum getType()

      * page - Links to a page. * extern - Links to an external resource. * intern - Links to an internal resource. * action - Links to an action. * datasource - Links to a datasource
      Returns:
        type

    - #### setType

          public void setType(Link.TypeEnum type)

    - #### id

          public Link id(String id)

    - #### getId

          @Nullable
          public String getId()

      The ID for this link.
      Returns:
        id

    - #### setId

          public void setId(String id)

    - #### label

          public Link label(String label)

    - #### getLabel

          @Nullable
          public String getLabel()

      The label for the link.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### target

          public Link target(String target)

    - #### getTarget

          @Nullable
          public String getTarget()

      The target for the link.
      Returns:
        target

    - #### setTarget

          public void setTarget(String target)

    - #### icon

          public Link icon(String icon)

    - #### getIcon

          @Nullable
          public String getIcon()

      A descriptive name for an icon that should be used for this link.
      Returns:
        icon

    - #### setIcon

          public void setIcon(String icon)

    - #### _default

          public Link _default(Boolean _default)

    - #### getDefault

          @Nullable
          public Boolean getDefault()

      Whether or not this link should be considered as default.
      Returns:
        _default

    - #### setDefault

          public void setDefault(Boolean _default)

    - #### confirmation

          public Link confirmation(String confirmation)

    - #### getConfirmation

          @Nullable
          public String getConfirmation()

      A confirmation message that should be displayed to the user before following this link.
      Returns:
        confirmation

    - #### setConfirmation

          public void setConfirmation(String confirmation)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.